summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorSebastien Douheret <sebastien.douheret@iot.bzh>2017-06-16 16:32:41 +0200
committerSebastien Douheret <sebastien.douheret@iot.bzh>2017-06-16 16:32:41 +0200
commit8810655f30bc31407999282c2e6e9ccf8423ffa7 (patch)
tree9b9846edeec16a16670a46a519692a110b743f89 /scripts
parent9833746bd2e8d6d046fdaf4149ec6dce7584f696 (diff)
Bump xds-agent and syncthing-inotify version
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/get-syncthing.sh23
1 files changed, 15 insertions, 8 deletions
diff --git a/scripts/get-syncthing.sh b/scripts/get-syncthing.sh
index 4770d31..3455122 100755
--- a/scripts/get-syncthing.sh
+++ b/scripts/get-syncthing.sh
@@ -2,10 +2,10 @@
# Configurable variables
[ -z "$SYNCTHING_VERSION" ] && SYNCTHING_VERSION=0.14.28
-
-# FIXME: temporary HACK while waiting merge of #165
-#[ -z "$SYNCTHING_INOTIFY_VERSION" ] && SYNCTHING_INOTIFY_VERSION=0.8.5
-[ -z "$SYNCTHING_INOTIFY_VERSION" ] && { SYNCTHING_INOTIFY_VERSION=master; SYNCTHING_INOTIFY_CMID=af6fbf9d63f95a0; }
+[ -z "$SYNCTHING_INOTIFY_VERSION" ] && SYNCTHING_INOTIFY_VERSION=0.8.6
+# XXX - may be cleanup
+# Used as temporary HACK while waiting merge of #165
+#[ -z "$SYNCTHING_INOTIFY_VERSION" ] && { SYNCTHING_INOTIFY_VERSION=master; SYNCTHING_INOTIFY_CMID=af6fbf9d63f95a0; }
[ -z "$DESTDIR" ] && DESTDIR=/usr/local/bin
[ -z "$TMPDIR" ] && TMPDIR=/tmp
[ -z "$GOOS" ] && GOOS=$(go env GOOS)
@@ -37,6 +37,12 @@ echo "Get Syncthing..."
## Install Syncthing + Syncthing-inotify
## gpg: key 00654A3E: public key "Syncthing Release Management <release@syncthing.net>" imported
+GPG=$(which gpg)
+if [ "$?" != 0 ]; then
+ echo "You must install first gpg ( eg.: sudo apt install gpg )"
+ exit 1
+fi
+
gpg -q --keyserver pool.sks-keyservers.net --recv-keys 37C84554E7E0A261E4F76E1ED26E6ED000654A3E || exit 1
tarball="syncthing-${GOOS_ST}-${GOARCH}-v${SYNCTHING_VERSION}.${TB_EXT}" \
@@ -59,12 +65,12 @@ if [ "$SYNCTHING_INOTIFY_VERSION" = "master" ]; then
[[ ! -d ./syncthing ]] && (git clone https://github.com/syncthing/syncthing || exit 1; )
[[ ! -d ./syncthing-inotify ]] && (git clone https://github.com/syncthing/syncthing-inotify || exit 1; )
cd syncthing-inotify
+ git status
+ version=$(git describe --tags --always | sed 's/^v//')__patch_165
if [ "$SYNCTHING_INOTIFY_CMID" != "" ]; then
git checkout -q $SYNCTHING_INOTIFY_CMID || exit 1
+ version=${version}__patch_165
fi
- git status
- export GOPATH=$(cd ../../../.. && pwd)
- version=$(git describe --tags --always | sed 's/^v//')__patch_165
# Workaround about "cannot find package "golang.org/x/sys/unix"
go get -u golang.org/x/sys/unix
@@ -74,12 +80,13 @@ if [ "$SYNCTHING_INOTIFY_VERSION" = "master" ]; then
OPTS=""
[[ "$GOOS_STI" = "darwin" ]] && OPTS="-tags kqueue"
+ export GOPATH=$(cd ../../../.. && pwd)
go build ${OPTS} -v -i -ldflags "-w -X main.Version=$version" -o ${DESTDIR}/syncthing-inotify${EXT} || exit 1
else
tarball="syncthing-inotify-${GOOS_STI}-${GOARCH}-v${SYNCTHING_INOTIFY_VERSION}.${TB_EXT}"
curl -sfSL "https://github.com/syncthing/syncthing-inotify/releases/download/v${SYNCTHING_INOTIFY_VERSION}/${tarball}" -O || exit 1
- rm -rf syncthing-inotify-${GOOS_STI}-${GOARCH}-v${SYNCTHING_INOTIFY_VERSION}
+ rm -rf syncthing-inotify-${GOOS_STI}-${GOARCH}-v${SYNCTHING_INOTIFY_VERSION}
if [ "${TB_EXT}" = "tar.gz" ]; then
tar -xvf "${tarball}" syncthing-inotify && mv syncthing-inotify ${DESTDIR}/syncthing-inotify || exit 1
else